CRYPTO_SHASH_INIT(9)

NAME
crypto_shash_init - (re)initialize message digest

SYNOPSIS

int crypto_shash_init(struct shash_desc * desc);

ARGUMENTS

desc
    operational state handle that is already filled

DESCRIPTION

The call (re-)initializes the message digest referenced by the operational state handle. Any potentially existing state created by previous operations is discarded.

RETURN

0 if the message digest initialization was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT